Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## robocup.lab
Class Literal

    java.lang.Object
      robocup.lab.Literal

All Implemented Interfaces:
  java.lang.Comparable<Literal>

    public class Literal

extends java.lang.Object
implements java.lang.Comparable<Literal>

The Class Literal.

Field Summary
`private java.lang.String` | `name` The literal name.
`private java.lang.Integer` | `priority` The literal priority.

Constructor Summary
`Literal(java.lang.String n)` Instantiates a new literal.

Method Summary
`int` | `compareTo(Literal o)`
`boolean` | `equals(java.lang.Object obj)`
`java.lang.String` | `getName()` Gets the name.
`java.lang.Integer` | `getPriority()` Gets the priority.
`int` | `hashCode()`
`void` | `setName(java.lang.String name)` Sets the name.
`void` | `setPriority(java.lang.Integer priority)` Sets the priority.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### priority

    private java.lang.Integer priority

  The literal priority.

### name

    private java.lang.String name

  The literal name.

Constructor Detail

### Literal

    public Literal(java.lang.String n)

  Instantiates a new literal.

  Parameters:
    `n` - the literal name

Method Detail

### compareTo

    public int compareTo(Literal o)

  Specified by:
    `compareTo` in interface `java.lang.Comparable<Literal>`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getPriority

    public java.lang.Integer getPriority()

  Gets the priority.

  Returns:
    the priority

### setPriority

    public void setPriority(java.lang.Integer priority)

  Sets the priority.

  Parameters:
    `priority` - the new priority

### getName

    public java.lang.String getName()

  Gets the name.

  Returns:
    the name

### setName

    public void setName(java.lang.String name)

  Sets the name.

  Parameters:
    `name` - the new name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD